#ifndef SQLSTORAGEMODEL_H
#define SQLSTORAGEMODEL_H

#include <QObject>
#include <QDebug>
#include <QSqlError>
#include <QSqlQuery>
#include <QDateTime>
#include <QSqlRecord>
#include <QSqlTableModel>

class SqlStorageModel : public QSqlTableModel
{
    Q_OBJECT

public:
    explicit SqlStorageModel(QObject *parent = nullptr);

    QVariant data(const QModelIndex &index, int role) const Q_DECL_OVERRIDE;
    QHash<int, QByteArray> roleNames() const Q_DECL_OVERRIDE;
signals:

public slots:
};

#endif // SQLSTORAGEMODEL_H
